MacOS High Sierra Freedome.pkg corrupt

Hello,

I tried to install the Freedome.pkg file on my iMac 2017 / 10.13.2 . The freedome.pkg file cannot be opened, the error reads: "Freedome.pkg is corrupt and cannot be opened. Please delete it." I can only either leave it unoped or delete it, no other options...

I have a valid subscription. What shall I do?

Best Answer

  • SecureFinnSecureFinn Posts: 5
    Accepted Answer

    Hi again,

    problem solved - it had nothing, simply nothing to do with Freedome!

    For other MacOS solution seekers:

    enter in Terminal sudo spctl --master-disable

    (This will open the Gatekeeper)

    Download, install Freedome

    Close the Gatekeeper with sudo spctl --master-enable

    Enjoy!

     

    Ukko

Comments

  • LakshLaksh Posts: 4,432 Community Manager

    Hi SecureFinn,

     

    Have you tried to delete the current installer file and redownload a fresh installer file from here? Does it help?

     

  • Same problem here, after update the software don't work anymore.

    Delete ist, got  a new one .pkg  from your website. Instaler says now at the end of the process that I have to conatct you. 

  • Hi Laksh,

    I already checked my iMac with Spotlight, no matches. It seems that no Freedome files whatsoever are available. Just one new information for you: I migrated the data from my old iMac (Sierra 10.12). On that machine, Freedome worked like an angel. The problem surfaced with High Sierra 10.13.2.

     

    Your download link is the same that I have already tried several times. No success, so I need your help please.

    regards

    SecureFinn

  • Sorry worked not for me but thanks. Have to contact the service. 

This discussion has been closed.